Package ghidra.framework.options

# Class PreferenceState

java.lang.Object
ghidra.framework.options.GProperties
ghidra.framework.options.XmlProperties
ghidra.framework.options.SaveState
ghidra.framework.options.PreferenceState

public class PreferenceState extends SaveState
An implementation of SaveState that exists primarily to signal its intended usage. The SaveState is a generic object for saving program state through plugins. This state object is meant to be used for preferences that are not associated directly with a plugin.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `PREFERENCE_STATE_NAME`

  ### Fields inherited from class ghidra.framework.options.GProperties

  `DATE_FORMAT, map, NAME, TYPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PreferenceState()`
  `PreferenceState(org.jdom.Element element)`
  Initializes a new state object from the given element.

- ## Method Summary

  ### Methods inherited from class ghidra.framework.options.SaveState

  `createElement, getSaveState, processElement, putSaveState, saveToFile`

  ### Methods inherited from class ghidra.framework.options.GProperties

  `clear, createElementFromElement, getAsType, getBoolean, getBooleans, getByte, getBytes, getColor, getDate, getDouble, getDoubles, getEnum, getFile, getFloat, getFloats, getFont, getGProperties, getInt, getInts, getKeyStroke, getLong, getLongs, getName, getNames, getShort, getShorts, getString, getStrings, getXmlElement, hasValue, isEmpty, putBoolean, putBooleans, putByte, putBytes, putColor, putDate, putDouble, putDoubles, putEnum, putFile, putFloat, putFloats, putFont, putGProperties, putInt, putInts, putKeyStroke, putLong, putLongs, putShort, putShorts, putString, putStrings, putXmlElement, remove, saveToJson, saveToJsonFile, saveToXml, saveToXmlFile, size, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### PREFERENCE_STATE_NAME

    public static final String PREFERENCE_STATE_NAME
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PreferenceState

    public PreferenceState()

  - ### PreferenceState

    public PreferenceState(org.jdom.Element element)
    Initializes a new state object from the given element.
    Parameters:
      `element` - The element from which to initialize.